# 官宣！《新程序员·开发者黄金十年》正式发布

**每天会对文章进行更新，每次更新一篇，采用阅后即焚模式，且看且珍惜，喜欢的话帮我点个star哈**

“在互联网还不发达的时代，就是《程序员》伴我成长的。”

“怀念啊，曾经《程序员》的日子。”

“我是看着《程序员》长大的，大二时买了创刊号。”

“这可是我们这一代人大学时候满满的回忆，也是当时寝室中传阅最多的书。”

“每年的《程序员》合订本，我都会买来学习、收藏。”

生于 2001 年的《程序员》曾陪伴了无数开发者成长，影响了一代又一代的中国技术人，成为了众多技术人的必备读物、从业指南。当这些技术人已经成为核心技术骨干、首席科学家、CTO、企业创始人之时，至今聊起《程序员》依然侃侃而谈、激情盎然。

今天，相比于 20 年前，技术已经发生了翻天覆地的变化，技术的迅猛发展推动了全行业的数字化变革，在科技的驱动下全球经济取得了蓬勃发展，我们迎来了开发者最好的时代。

《新程序员》应运而生。

5 月 28 日，由近百位专家参与、经数月打磨后，《新程序员001：开发者黄金十年》面向所有开发者正式官宣发布！不仅包含了开发者们一如既往期待与喜爱的全球技术大师深邃思考、优秀开发者技术创造等深度内容，更以数字多媒体的新形态让开发者们随时随地阅读、观看，带来视频图文的多重体验。

用一位开发者和我们说的话来表达：“当年的那个《程序员》回来了！”

当年的那个《程序员》不仅回来了，而且洋溢着新的活力。

## 开发者黄金十年-----讲述新程序员时代

在上一个十年，CSDN&《程序员》创始人蒋涛极具前瞻性地预测了应用开发的盛行。今天，在编程无处不在，众多行业因数字化发生巨变之时，蒋涛提出，在新程序员时代，开发者正在迎来黄金十年。从全球来看，开发者市场拥有三大红利：

**一、全民编程，人人都是开发者**

编程教育正逐渐成为青少年的基础教育，这些新生代未来都将成为潜在开发者；AI、物联网等新技术在各行各业中广泛应用，成为了行业从业者的基本技能；低代码技术平台让企业里的每个人都可以参与和推动企业的数字化进程。

**二、行业数字化大升级，家家都是技术公司**

过去不具备开发者技术力量的传统公司都在转型成为技术公司，我们现在看到的众多市值很高的公司背后，都是由技术在驱动。腾讯有近 5 万名的研发人员，占公司整体 68%；国内最大的外卖平台美团有近一万名的工程师；为中小学生提供课外辅导的学而思(好未来)也有五千多名工程师；做金融、医疗等服务的平安科技拥有 3.5 万研发人员和 3000 名科学家……在未来十年，数字化将重构所有行业。

**三、开源技术体系迅猛发展和中国版核心技术生态自建，十万亿开发者新生态正在形成**

首先是全球的技术升级，从过去的互联网、移动互联网、云计算、大数据到人工智能、云原生，这是一个非常大的技术范式的转移。开源的公司变得越来越多，云原生的公司也越来越多。同时，中国要建立自己的技术生态，这个生态既要和国际主流融合，又要有自己的核心竞争力，也带来了一个非常大的机会。

## 《新程序员》-----新形式、新内容、新生态

在这技术驱动创新、所有行业全面拥抱数字化发展的新程序员时代，《新程序员》以全新的风貌赋能所有开发者。

- 新形式。拥抱新时代，《新程序员》将从过去的纸媒和网络升级成为数字多媒体品牌，覆盖音频、视频、实时互动等多种方式。
- 新内容。紧随时代的潮流，《新程序员》将致力于发掘软件业中最具价值的链条。从技术走向产业，驱动各行各业的创新，内容也将全方位覆盖整个行业的开发者成长、技术迭代与产业发展。
- 新生态。随着每一个行业都在技术化、数字化，我们迎来了一个可以构造中国自己新生态的机会。我们中国的产业已经发展起来，但想要在下一阶段取得更好的突破，一定要用技术和数据作为自己的动力，这也就带来了为技术服务的新时代。

## 一本书读透开发者黄金十年！

基于此，《**新程序员001：开发者黄金十年**》特别策划**十万亿开发者新生态**、**家家都是技术公司**、**人人都是开发者**三大版块，为所有开发者带来有技术、有深度、有质量的高品质内容：

**十万亿开发者新生态**

在十万亿开发者新生态版块中，GGV 纪源资本管理合伙人 Glenn Solomon 深入分享继 SaaS、公有云两个价值数万亿美元的企业软件行业之后第三个以开发者为核心的万亿美元软件的成功之道；从海外与中国 SaaS 的进化历程中看中国数字化的起源与未来发展；对话华为消费者业务软件部总裁王成录、声网 Agora 创始人兼 CEO 赵斌，共论开发者黄金十年；从 Linux 之父 Linus Torvalds、OpenCV 创始人 Gary Bradski、Vue.js 作者尤雨溪、RISC-V International CTO Mark Himelstein 等国际主流开源项目领导者，以及 TiDB 创始人黄东旭、RT-Thread创始人熊谱翔、涛思数据创始人陶建辉等优秀创业者身上，汲取顶级开源项目、创业及个人技能升级的成长经验。

**家家都是技术公司**

本专题我们将率先从研发、人才等维度重磅揭晓 2021 数字科技企业研发实力榜 TOP 50。与此同时，《新程序员001：开发者黄金十年》邀请到了来自视频直播、汽车、教育、出行、医药、零售等多个行业的领先企业，深入剖析技术驱动产业升级的实践之路。

**人人都是开发者**

人人如何才能成为开发者？在这里，我们将走近 UNIX 开发者 Brain W.Kernighan、Linux 内核守护者吴峰光博士的开发人生，与其畅聊 UNIX、Linux 项目的开发与维护苦与乐；也将与人工智能、低代码、少儿编程等领域背后的佼佼者们的共同探讨未来技术新趋势。

除了以上，我们在调研全球 1500+ 主流技术产品与平台后，全方位呈现《2021国际核心技术生态体系全景图V1.0》和《2021中国核心技术生态体系全景图V1.0》，覆盖大前端、开发环境与工具、人工智能、云计算和大数据、物联网、区块链、数据库、操作系统、芯片九大技术领域。

![](imgs/1.png)

![](imgs/2.png)

![](1.png)